# ExponentialFamily.jl

*Julia package that extends the functionality of Distributions.jl by providing a collection of exponential family distributions and customized implementations. It is designed to facilitate working with exponential family distributions and offers specialized functionality tailored to this class of distributions.*

## Core Principles

The package is built around several core principles:

- High performance with minimal allocations, striving for complete type stability.
- Compatibility with distributions defined in `Distributions.jl`.
- Ease of use and rich functionality.

## Table of Contents

* [Interface](@ref interface)
* [Examples](@ref examples)
* [Library](@ref library)

## Index

```@index
```